{% set item_image = page.media.images|first %}
{% set tag_dict = theme_config.tag_colors %}

<div class="cell">
    <div class="card" data-equalizer-watch>
        <div class="card-divider">
            <p>{{ page.title }}</p>
        </div>

        {%- if item_image -%}
            {{- item_image.html(page.title)|raw -}}
        {%- else -%}
            <img src="http://placehold.it/400x370" alt="{{ page.title }}">
        {%- endif -%}

        <div class="card-section">
            <p class="subheader">{{ page.date|nicetime() }}</p>
            <div>
                {{- page.summary(120) -}}
            </div>
            <div>
                {% for tag in page.taxonomy.tag %}
                    {%- if array_key_exists(tag, tag_dict) -%}
                        {%- set tag_type = tag_dict[tag] -%}
                    {%- else -%}
                        {%- set tag_type = 'secondary' -%}
                    {%- endif -%}
                    <span class="label {{ tag_type }}">{{ tag }}</span>
                {% endfor %}
            </div>
        </div>
        <br/>
        <a href="{{ page.url }}" class="button expanded">View</a>
    </div>
</div>
